package net.sf.sido;

/**
 * List of keys for errors.
 * 
 * @author Damien Coraboeuf
 * 
 */
public enum DOKey {
	Immutable,
	InvalidPropertyDOType,
	InvalidPropertyType,
	InvalidPropertyValue,
	NullProperty,
	TypeNotExtensible,
	UndefinedProperty,
	CannotParsePropertyValue,
	CannotFindClassForType,
	TypeNotFound,
	TypeDefinitionNotFound,
	JsonFieldNotFound,
	ConstraintFieldNotFound,
	JsonFieldNotArray,
	MissingReference,
	JsonCannotFormat,
	XmlAttributeNotFound,
	ClosedType,
	ConstraintTypeNotFound,
	CannotFindClassForCustomConstraint,
	ExpectedType,
	CircularInheritance,
	CannotInstantiateAbstractType;

}